Package com.xebialabs.xlrelease.api.v1.forms

## Class AbstractDeliveryFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.AbstractDeliveryFilters

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `DeliveryFilters`, `DeliveryPatternFilters`

      public abstract class AbstractDeliveryFilters
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDeliveryFilters()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFolderId()` |
    `abstract java.util.List<DeliveryStatus>` | `getStatuses()` |
    `java.lang.String` | `getTitle()` |
    `java.lang.String` | `getTrackedItemTitle()` |
    `boolean` | `hasStatuses()` |
    `boolean` | `isStrictTitleMatch()` |
    `boolean` | `isStrictTrackedItemTitleMatch()` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setStrictTitleMatch​(boolean strictTitleMatch)` |
    `void` | `setTitle​(java.lang.String title)` |
    `AbstractDeliveryFilters` | `withFolderId​(java.lang.String folderId)` |
    `AbstractDeliveryFilters` | `withStrictTitleMatch​(boolean strictTitleMatch)` |
    `AbstractDeliveryFilters` | `withStrictTrackedItemTitleMatch​(boolean strictTitleMatch)` |
    `AbstractDeliveryFilters` | `withTitle​(java.lang.String title)` |
    `AbstractDeliveryFilters` | `withTrackedItemTitle​(java.lang.String title)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDeliveryFilters

          public AbstractDeliveryFilters()

  - ### Method Detail

    - #### withTitle

          public AbstractDeliveryFilters withTitle​(java.lang.String title)

    - #### withStrictTitleMatch

          public AbstractDeliveryFilters withStrictTitleMatch​(boolean strictTitleMatch)

    - #### withTrackedItemTitle

          public AbstractDeliveryFilters withTrackedItemTitle​(java.lang.String title)

    - #### withStrictTrackedItemTitleMatch

          public AbstractDeliveryFilters withStrictTrackedItemTitleMatch​(boolean strictTitleMatch)

    - #### withFolderId

          public AbstractDeliveryFilters withFolderId​(java.lang.String folderId)

    - #### getStatuses

          public abstract java.util.List<DeliveryStatus> getStatuses()

    - #### hasStatuses

          public boolean hasStatuses()

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### isStrictTitleMatch

          public boolean isStrictTitleMatch()

    - #### getTrackedItemTitle

          public java.lang.String getTrackedItemTitle()

    - #### isStrictTrackedItemTitleMatch

          public boolean isStrictTrackedItemTitleMatch()

    - #### setStrictTitleMatch

          public void setStrictTitleMatch​(boolean strictTitleMatch)